package com.smcic.api.conference.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Getter
@Setter
@TableName("conference_agenda_seat")
public class ConferenceAgendaSeat implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long agendaId;

    /**
     * 座次安排，通常为一张图或富文本
     */
    private String content;

    private Integer status;


}
