package com.smcic.api.conference.service.impl;

import com.smcic.api.conference.entity.ConferenceAgendaSeat;
import com.smcic.api.conference.mapper.ConferenceAgendaSeatMapper;
import com.smcic.api.conference.service.IConferenceAgendaSeatService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Service
public class ConferenceAgendaSeatServiceImpl extends ServiceImpl<ConferenceAgendaSeatMapper, ConferenceAgendaSeat> implements IConferenceAgendaSeatService {

    public ConferenceAgendaSeat info(Long aid){
        return lambdaQuery().eq(ConferenceAgendaSeat::getAgendaId, aid).eq(ConferenceAgendaSeat::getStatus, 1).one();
    }

    public ConferenceAgendaSeat create(ConferenceAgendaSeat conferenceAgendaSeat){
        ConferenceAgendaSeat one = lambdaQuery().eq(ConferenceAgendaSeat::getAgendaId, conferenceAgendaSeat.getAgendaId()).eq(ConferenceAgendaSeat::getStatus, 1).one();
        if (one != null){
            one.setStatus(0);
            this.updateById(one);
        }
        save( conferenceAgendaSeat );
        return conferenceAgendaSeat;
    }
}
