package com.smcic.api.tags.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.smcic.api.tags.dto.UserTagsDTO;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class UserTags {

    @TableId
    private String uuid;

    private String sex;

    private String ageRange;

    private String province;

    private String city;

    private String tags;

    private String userId;

    private LocalDateTime createTime;

    private Integer status = 0;

    public UserTags() {

    }

    public UserTags(UserTagsDTO userTagsDTO) {
        this.setUuid(userTagsDTO.getUuid());
        this.setSex(userTagsDTO.getSex());
        this.setAgeRange(userTagsDTO.getAgeRange());
        this.setProvince(userTagsDTO.getProvince());
        this.setCity(userTagsDTO.getCity());
        this.setTags(String.join(";", userTagsDTO.getTags()));
        this.setUserId(userTagsDTO.getUserId());
        this.setCreateTime(userTagsDTO.getCreateTime());

    }

}
