cd `dirname $0`
git reset HEAD --hard
git pull
mvn clean package -DskipTests=true

version=$(date +%s)
docker build -t registry.cn-chengdu.aliyuncs.com/cxzx-spider/ssp-server:$version .
docker push registry.cn-chengdu.aliyuncs.com/cxzx-spider/ssp-server:$version
sed -i "s!{ { image } }!registry\.cn-chengdu\.aliyuncs\.com/cxzx-spider/ssp-server:$version!g" ssp-server.yml

kubectl apply -f ssp-server.yml
