package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferenceAgenda;
import com.smcic.api.conference.service.impl.ConferenceAgendaServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/agenda")
public class ConferenceAgendaController {

    @Resource
    private ConferenceAgendaServiceImpl conferenceAgendaService;

    @PostMapping("create")
    public ConferenceAgenda create(@RequestBody ConferenceAgenda conferenceAgenda){
        conferenceAgenda.setCreateTime(LocalDateTime.now());
        conferenceAgendaService.save(conferenceAgenda);
        return conferenceAgenda;
    }

    @GetMapping("list/{id}")
    public List<ConferenceAgenda> list(@PathVariable( "id" ) Long id){
        return conferenceAgendaService.listByCid(id);
    }


}
