package com.smcic.api.conference.controller;


import com.google.common.collect.ImmutableMap;
import com.smcic.api.conference.entity.UserThird;
import com.smcic.api.conference.service.impl.UserThirdServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/user-third")
public class UserThirdController {

    @Resource
    private UserThirdServiceImpl userThirdService;

    @GetMapping("getPhone/{id}")
    public Map<String, String> getPhone(@PathVariable("id") Long id, @RequestParam("code") String code) {
        return ImmutableMap.of("phone", userThirdService.getPhone(id, code)) ;
    }

    @PostMapping("create")
    public void create(@RequestBody UserThird userThird) {
        userThird.setCreateTime(LocalDateTime.now());
        userThirdService.save(userThird);
    }

}
