package com.smcic.api.operate.controller;


import com.google.common.collect.ImmutableMap;
import com.smcic.api.operate.entity.Users;
import com.smcic.api.operate.service.impl.UsersServiceImpl;
import com.smcic.core.auth.AESUtil;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2022-12-08
 */
@RestController
@RequestMapping("/operate/users")
public class UsersController {

    @Resource
    private UsersServiceImpl usersService;

    @RequestMapping("sendVerifyCode")
    public void sendVerifyCode(@RequestParam("phone") String phone){
        usersService.sendVerifyCode(phone);
    }

    @RequestMapping("verifyCode")
    public Map<String, String> verifyCode(@RequestParam("phone") String phone, @RequestParam("code") String code){
        return  usersService.verifyCode(phone, code);
    }

    @RequestMapping("sspUser")
    public Map<String, String> sspUser(@RequestParam("jToken") String jToken){
        return  usersService.tideLogin(jToken);
    }

}
